%
%    Copyright (C) 2008  Colin Caprani - www.colincaprani.com
%
%    This program is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    This program is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program.  If not, see <http://www.gnu.org/licenses/>.

function RLM = LM_span(LM,iSpan)
% Forms the reduced load matrix for a particular span
[nloads,x] = size(LM);
RLM = zeros(1,x);
j = 1;
for i = 1:nloads
    if LM(i,1) == iSpan
        RLM(j,:) = LM(i,:);
        j = j + 1;
    end
end